Search cases

Base URL
https://{kibana_url}
  • GET /api/cases/_find
  • GET /s/{space_id}/api/cases/_find
Auth

You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the cases you're seeking.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

assignees union string | string[]

Filters the returned cases by assignees. Valid values are none or unique identifiers for the user profiles. These identifiers can be found by using the suggest user profile API.

category union string | string[]

Filters the returned cases by category.

defaultSearchOperator string · default: OR

he default operator to use for the simple_query_string.

from string

Returns only cases that were created after a specific date. The date must be specified as a KQL data range or date match expression.

Example: now-1d
owner union oneOf

A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

Values: cases observability securitySolution
page integer · default: 1

The page number to return.

perPage integer · max: 100 · default: 20

The number of items to return. Limited to 100 items.

reporters union string | string[]

Filters the returned cases by the user name of the reporter.

Example: elastic

An Elasticsearch simple_query_string query that filters the objects in the response.

searchFields union oneOf

The fields to perform the simple_query_string parsed query against.

Values: description title
severity enum

The severity of the case.

Values: critical high low medium
sortField enum · default: createdAt

Determines which field is used to sort the results.

Values: createdAt updatedAt closedAt title category status severity
sortOrder enum · default: desc

Determines the sort order.

Values: asc desc
status enum

Filters the returned cases by state.

Values: closed in-progress open
tags union string | string[]

Filters the returned cases by tags.

Example: tag-1
to string

Returns only cases that were created before a specific date. The date must be specified as a KQL data range or date match expression.

Example: now+1d

Responses

Indicates a successful call.

application/json
cases object[] · max items: 10000
assignees object[] · max items: 10 nullable

An array containing users that are assigned to the case.

uid string required

A unique identifier for the user profile. These identifiers can be found by using the suggest user profile API.

category string nullable

The case category.

closed_at string · format: date-time required nullable
closed_by object required nullable
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
comments union oneOf[] · max items: 10000 required

An array of comment objects for the case.

One of:
type enum required
Values: alert
alertId string[]
created_at string · format: date-time
created_by object
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
id string
index string[]
owner enum

The application that owns the cases: Stack Management, Observability, or Elastic Security.

Values: cases observability securitySolution
pushed_at string · format: date-time nullable
pushed_by object nullable
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
rule object
id string

The rule identifier.

name string

The rule name.

updated_at string · format: date-time nullable
updated_by object nullable
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
version string
connector union oneOf required
One of: (determined by type)
type: .none

Defines properties for connectors when type is .none.

type enum required

The type of connector. To create a case without a connector, use .none. To update a case to remove the connector, specify .none.

Values: .none
fields string required nullable

An object containing the connector fields. To create a case without a connector, specify null. To update a case to remove the connector, specify null.

id string required

The identifier for the connector. To create a case without a connector, use none. To update a case to remove the connector, specify none.

name string required

The name of the connector. To create a case without a connector, use none. To update a case to remove the connector, specify none.

created_at string · format: date-time required
created_by object required
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
customFields object[]

Custom field values for the case.

key string

The unique identifier for the custom field. The key value must exist in the case configuration settings.

type enum

The custom field type. It must match the type specified in the case configuration settings.

Values: text toggle
value union string | boolean nullable

The custom field value. If the custom field is required, it cannot be explicitly set to null. However, for cases that existed when the required custom field was added, the default value stored in Elasticsearch is undefined. The value returned in the API and user interface in this case is null.

description string required
duration integer required nullable

The elapsed time from the creation of the case to its closure (in seconds). If the case has not been closed, the duration is set to null. If the case was closed after less than half a second, the duration is rounded down to zero.

external_service object required nullable
connector_id string
connector_name string
external_id string
external_title string
external_url string
pushed_at string · format: date-time
pushed_by object nullable
email string nullable
full_name string nullable
profile_uid string
username string nullable
id string required
owner enum required

The application that owns the cases: Stack Management, Observability, or Elastic Security.

Values: cases observability securitySolution
settings object required

An object that contains the case settings.

syncAlerts boolean required

Turns alert syncing on or off.

severity enum · default: low required

The severity of the case.

Values: critical high low medium
status enum required

The status of the case.

Values: closed in-progress open
tags string[] required
title string required
totalAlerts integer required
totalComment integer required
updated_at string · format: date-time required nullable
updated_by object required nullable
email string required nullable
full_name string required nullable
profile_uid string
username string required nullable
version string required
count_closed_cases integer
count_in_progress_cases integer
count_open_cases integer
page integer
per_page integer
total integer

Authorization information is missing or invalid.

application/json
error string
message string
statusCode integer
Base URL
https://{kibana_url}